Summary:	This tool permits to execute X-application with sudo
Name:		xsudo
Version:	0.7.0
Release:	%mkrel 3
License:	GPLv3+
Group:		System/Base
Url:		https://sourceforge.net/p/xsudo
Source0:	https://sourceforge.net/p/xsudo/files/%{name}-%{version}.tar.gz
BuildArch:	noarch
Requires:	sudo

%description
This tool allows to run X-application with sudo
(with the same sudo syntax).

%package -n %{name}-sudoers
Summary:	GUI for adding users to /etc/sudoers and for deleting users from /etc/sudoers
Group:		System/Base
Requires:	%{name} = %{version}
Requires:	zenity
Requires:	beesu

%description -n %{name}-sudoers
GUI for adding users to /etc/sudoers and for deleting users from /etc/sudoers.

%prep
%setup -q

%build
# nothing

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}/
install -m 0755 add2sudoers %{buildroot}%{_bindir}/
install -m 0755 rmfromsudoers %{buildroot}%{_bindir}/
install -m 0755 sudoers4user %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_datadir}/applications
install -m 0644 *.desktop %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 *.png %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_datadir}/locale
cp -af i18n/* %{buildroot}%{_datadir}/locale

%find_lang %{name}

%post
A=`cat /etc/sudoers | grep "DISPLAY XAUTHORITY XAUTHLOCALHOSTNAME"`
B=`cat /etc/sudoers | grep "# Defaults requiretty"`
if [ -z "$A" ]
then
  echo "Defaults env_keep += \"DISPLAY XAUTHORITY XAUTHLOCALHOSTNAME\"" >> /etc/sudoers
fi
if [ -z "$B" ]
then
  sed -i '/requiretty/s/^Defaults/# Defaults/g' /etc/sudoers
fi

%files
%{_bindir}/%{name}

%files -n %{name}-sudoers -f %{name}.lang
%{_bindir}/add2sudoers
%{_bindir}/rmfromsudoers
%{_bindir}/sudoers4user
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png



%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.7.0-3.mga9
+ Revision: 1811344
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.7.0-2.mga8
+ Revision: 1522896
- Mageia 8 Mass Rebuild

* Mon Feb 11 2019 alexl <alexl> 0.7.0-1.mga7
+ Revision: 1365260
- version 0.7.0

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-3.mga7
+ Revision: 1277363
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Mon Nov 23 2015 alexl <alexl> 0.6.0-1.mga6
+ Revision: 905016
- version 0.6.0
- del upstreamed stuff
- new url
- install locales
- cleanup spec

* Sat Jan 03 2015 alexl <alexl> 0.5.0-4.mga5
+ Revision: 808295
- new desktop files from upstream

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-3.mga5
+ Revision: 747566
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-2.mga5
+ Revision: 690788
- Mageia 5 Mass Rebuild

* Sun Apr 06 2014 alexl <alexl> 0.5.0-1.mga5
+ Revision: 612256
- imported package xsudo

